• Precios
  • Blog
Iniciar sesiónAgendá una demo
Adjust balance POSTApply an Offer to a subscription PUTCancel subscription POSTChange plan POSTCreate a recovery payment link for a past due subscription POSTCreate subscription POSTGet active subscription GETGet subscription by ID GETList subscriptions GETPreview plan change POSTReactivate a past due or canceled subscription POSTRemove an Offer from a pending checkout DELETETop up balance POSTRevert scheduled cancellation POSTUpdate payment method POST
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Get active subscription

Get the active subscription for a customer. Returns null if none.

GET
/subscriptions/active

Get the active subscription for a customer. Returns null if none.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

customerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/subscriptions/active?customerId=string"
{  "id": "string",  "customerId": "string",  "plan": {    "id": "string",    "name": "string",    "basePrice": 0  },  "name": "string",  "description": "string",  "status": "draft",  "billingInterval": "weekly",  "trialEndsAt": "2019-08-24T14:15:22Z",  "currentPeriod": {    "start": "2019-08-24T14:15:22Z",    "end": "2019-08-24T14:15:22Z",    "daysRemaining": 0  },  "cancellation": {    "scheduledAt": "2019-08-24T14:15:22Z",    "reason": "string",    "effectiveAt": "2019-08-24T14:15:22Z"  },  "cancelAtPeriodEnd": true,  "scheduledPlanChange": {    "changeType": "plan_downgrade",    "newPlanId": "string",    "newPlanName": "string",    "newBillingInterval": "string",    "scheduledFor": "2019-08-24T14:15:22Z"  },  "startDate": "2019-08-24T14:15:22Z",  "endDate": "2019-08-24T14:15:22Z",  "billingDayOfMonth": -9007199254740991,  "nextBillingDate": "2019-08-24T14:15:22Z",  "checkoutUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "offerApplications": [    {      "id": "string",      "name": "string",      "appliesTo": {        "type": "plan_price",        "id": "string"      },      "offerId": "string",      "source": "direct",      "status": "quoted",      "currency": "string",      "subtotal": -9007199254740991,      "discountAmount": -9007199254740991,      "total": -9007199254740991,      "phases": [        {          "type": "free_trial",          "durationDays": 1,          "durationInterval": "weekly",          "startsAt": "2019-08-24T14:15:22Z",          "endsAt": "2019-08-24T14:15:22Z"        }      ],      "quotedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "appliedAt": "2019-08-24T14:15:22Z"    }  ],  "planGrant": {    "id": "string",    "plan": {      "id": "string",      "name": "string"    },    "expiresAt": "2019-08-24T14:15:22Z"  },  "consumptionModel": "metered",  "features": [    {      "code": "string",      "name": "string",      "type": "boolean",      "enabled": true,      "baseAccess": {        "enabled": true      }    }  ],  "credits": {    "remaining": 0,    "included": 0,    "purchased": 0  },  "balance": {    "remaining": 0,    "included": 0,    "currency": "string"  },  "priceId": "string",  "object": "subscription",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create subscription POST

Create a subscription for a customer. Commet selects the default price when priceId is omitted and resolves its market from the customer's billing country. Without an offer override, Commet applies the price's automatic introductory Offer. Pass offerId to apply an active compatible Offer directly, or cardPromotionId to preselect a card-eligible Promotional Offer for the initial checkout when card promotions are enabled for the organization. For the initial checkout, provider accepts either a processor name or an exact payment connection ID.

Get subscription by ID GET

Get a subscription by its public ID, regardless of status (including pending_payment and past_due).